<?php
declare(strict_types=1);

namespace Flat101\MultiWidget\Controller\Adminhtml\Sliders;

use Flat101\MultiWidget\Controller\Adminhtml\Uploader;
use Magento\Framework\Controller\ResultFactory;

class Upload extends Uploader
{
    const SLIDERS_IMAGE_PATH_DESTINATION = 'multi_widget/sliders/';

    /**
     * @inheritDoc
     */
    public function execute()
    {
        $image = $this->getRequest()->getParam('param_name', 'review_image');

        $imageResult = $this->manageFileUpload($image, self::SLIDERS_IMAGE_PATH_DESTINATION);

        return $this->resultFactory->create(ResultFactory::TYPE_JSON)->setData($imageResult);
    }
}
