<?php
namespace Flat101\MultiWidget\Model\Source\Attributes;

use Magento\Framework\Data\OptionSourceInterface;

class ItemsPerRow implements OptionSourceInterface
{
    /**
     * Options getter
     *
     * @return array
     */
    public function toOptionArray(): array
    {
        return [['value' => '1', 'label' => __('1')], ['value' => '2', 'label' => __('2')], ['value' => '3', 'label' => __('3')],['value' => '4', 'label' => __('4')],
            ['value' => '5', 'label' => __('5')], ['value' => '6', 'label' => __('6')], ['value' => '7', 'label' => __('7')], ['value' => '8', 'label' => __('8')]];
    }

    /**
     * Get options in "key-value" format
     *
     * @return array
     */
    public function toArray(): array
    {
        return ['1' => __('1'), '2' => __('2'), '3' => __('3'), '4' => __('4'), '5' => __('5'), '6' => __('6'), '7' => __('7'), '8' => __('8')];
    }
}
