<?php
declare(strict_types=1);

namespace Flat101\MultiWidget\Api\Data;

use Magento\Framework\Api\SearchResultsInterface;

interface MultiWidgetSearchResultsInterface extends SearchResultsInterface
{
    /**
     * @return MultiWidgetInterface[]
     */
    public function getItems();

    /**
     * @param MultiWidgetInterface[] $items
     * @return void
     */
    public function setItems(array $items);
}
