<?php
declare(strict_types=1);

namespace Flat101\MultiWidget\Api\Data;

use Magento\Framework\Api\CustomAttributesDataInterface;

/**
 * Interface TypesInterface
 */
interface TypesInterface extends CustomAttributesDataInterface
{
    const TABLE     = 'flat101_multiwidget_types';
    const ID        = 'type_id';
    const NAME      = 'type_name';

    /**
     * Retrieve name
     *
     * @return string
     */
    public function getName(): string;

    /**
     * Set name
     *
     * @param string $name
     */
    public function setName(string $name);
}
