<?php
declare(strict_types=1);

namespace Flat101\MultiWidget\Model\Source\MultiWidgets;

use Flat101\MultiWidget\Api\Data\MultiWidgetInterface;
use Flat101\MultiWidget\Model\ResourceModel\MultiWidget\Collection;
use Flat101\MultiWidget\Model\Source\MultiWidget;

class KeyBenefits extends MultiWidget
{
    /**
     * @inheritDoc
     */
    protected function getCollection(): Collection
    {
        $collection = $this->collectionFactory->create();
        $collection->addFieldToFilter(MultiWidgetInterface::TYPE_ID, ['eq' => 2]);
        $collection->addFieldToFilter(MultiWidgetInterface::STATUS, ['eq' => 1]);
        $collection->setOrder(MultiWidgetInterface::NAME, \Magento\Framework\Data\Collection::SORT_ORDER_ASC);

        return $collection;
    }
}
